Ticket #35 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

09-004 Thermo System considered as PPM when logged

Reported by: michelpons Owned by: Michael Halloran
Priority: major Milestone: Refactoring
Component: COLoggers Version: 1.08.2
Keywords: Cc: michaelhalloran

Description

De: Ahsan Akhtar [ahsan.akhtar@…]
Envoyé: Tuesday, April 14, 2009 8:38 AM
À: 'Michel Pons'; 'Michael Halloran'
Objet: RE: Simulis Thermodynamics in Aspen Hysys 2004

Michel,

I will get back to you after the debug session which I am going to start in few minutes.

Best Regards

Ahsan
===========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Tuesday, April 14, 2009 8:34 AM
À: 'Ahsan Akhtar'; 'Michael Halloran'
Objet: RE: Simulis Thermodynamics in Aspen Hysys 2004

Ahsan,

My point is the following : the end-user that I represent selects to enable logging on a Thermo System called Simulis Thermodynamics. After this decision, Simulis Thermodynamics should not be considered as a Property Package Manager by COLTT whatever the GUID. And the Property Package used should be considered a 1.0 PP and not a 1.1 PP.

Am I missing something?

Best regards

Michel
=============================================================
De: Ahsan Akhtar [ahsan.akhtar@…]
Envoyé: Monday, April 13, 2009 12:29 PM
À: 'Michael Halloran'; 'Michel Pons'
Objet: RE: Simulis Thermodynamics in Aspen Hysys 2004

Michel,

I think that COLTT won't be able to handle it properly as Simulis Thermodynamics can act both as a Thermo System(1.0) and as a Property Package Manager(1.1) under the same GUID. Though, I have numbered it as 09-004 mistakenly but actually it is the same issue as 08-169.

Best Regards

Ahsan
=============================================================
De: Ahsan Akhtar [sidathyder5@…]
Envoyé: Friday, April 10, 2009 6:52 PM
À: Michel Pons
Objet: Re: VS2008 Express edition
Michel,

Yes, fine with me

Best regards

Ahsan
==========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Friday, April 10, 2009 6:03 PM
À: 'sidathyder5@…'
Objet: RE: VS2008 Express edition

Ahsan,

Both virtual machines, COLTT09-003 and COLTT09-004, have been equipped with VS 2008 C++ Express Edition and the relevant PMCs and PME for each case.

I will send you an invitation for the session. No need for you to connect to PCNow website. Will be able to start at 08:30 AM Paris time. Is that fitting your schedule?

Best regards

Michel
============================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Friday, April 10, 2009 11:39 AM
À: 'sidathyder5@…'
Objet: RE: VS2008 Express edition

Ahsan,

Just to be sure we understand each other : I can only install the Express Edition not the full edition for VS2008.

Best regards

Michel
=============================================================
De: Ahsan Akhtar [sidathyder5@…]
Envoyé: Friday, April 10, 2009 11:27 AM
À: Michel Pons
Objet: Re: VS2008 Express edition
Yes, Pls install VS2008, relevant PME and PMC on the VM.

Best Regards

Ahsan
==========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Friday, April 10, 2009 10:09 AM
À: 'Ahsan Akhtar'
Cc: 'Michael Halloran'
Objet: VS2008 Express edition

Ahsan,

What should I do in the virtual machines set up for issues 09-003 and 09-004? Should I install VS 2008 C++ Express Edition in there? I need to do this today if you will need it on Tuesday.

Best regards

Michel
===========================================================
De: Ahsan Akhtar [ahsan.akhtar@…]
Envoyé: Thursday, April 09, 2009 2:55 PM
À: 'Michel Pons'
Objet: New Issues

Michel,

I have recorded following issue in the register:

09-002 Suspected memory leak problem in the utility program provided by CO-LAN
09-003 When COLTT is enabled on Unit Operation made with the FORTRAN Wizard in Aspen Hysys v7.1, Aspen Hysys closes down because of a crash after accepting the UO.
09-004 When COLTT is enabled on Simulis Thermodynamics Thermo System in Aspen Hysys 2004, upon loading the same Aspen Hysys case file, a message 'ERROR: Internal error creating a CAPEOPEN property package' is being displayed.

Is it possible that I can debug issue 09-003 and 09-004 on CO-LaN laptop coming Monday? (please note that I will need VS2008 on the laptop).

Best Regards

Ahsan
============================================================
De: Michael Halloran [michaeljhalloran@…]
Envoyé: Wednesday, April 08, 2009 10:40 PM
À: Michel Pons
Cc: Ahsan Akhtar
Objet: Re: Simulis Thermodynamics in Aspen Hysys 2004
Michel,

Do you have any example where COLTT 1.08 works in Hysys as you would expect? The reason I ask is that the log attached here ends at exactly the same point as the log you attached to the previous case which involved a Unit Operation. I'm wondering whether these two have something in common even though they involve a Unit and a Property Package.

Regards
Michael
=============================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Wednesday, April 08, 2009 11:07 AM
À: 'Ahsan Akhtar'
Cc: 'Michael Halloran'
Objet: Simulis Thermodynamics in Aspen Hysys 2004

Ahsan,

I have a combination of PMC/PME being investigated by request of Air Liquide, a CO-LaN Full Member : it is Simulis Thermodynamics in Aspen Hysys 2004. The test is made on a full scale process model which is proprietary of Air Liquide.

There are issues with the model being used. These issues seem more model related, meaning of thermodynamic nature, than CAPE-OPEN related. However using COLTT should help in figuring the sequence of calls/values that lead to a problem.

I have installed COLTT v1.08 within the virtual machine used for the interoperability tests. I have an Aspen Hysys case that contains already the reference to the Simulis Thermodynamics Property Package. When reloading this case, without COLTT enabled on Simulis Thermodynamics Thermo System (1.0 interfaces are used here), I get the following error messages in Aspen Hysys trace window:

CAPE-OPEN P. Package 'Bender-Kiwi (corrected Mu)' error: <<The CAPE-OPEN Property Package 'Bender-Kiwi (corrected Mu)(from 'CalculatorPackageManager.ThrmStarDustPK')' raised an exception while calling CalcProp

Error in ICapeThermoPropertyPackage.CalcEquilibrium

CO Calculation Exception (Code: 0)

FlashTS : an error has occured during calculation.Contact this component's vendor. Detected while calculating {(surfaceTension), (VaporLiquid), Mixture}. Material Object contents: L, T(K), 358.759992, P(Pa), 1018747.946722, C, 0.7811, 9.3e-003, 0.2096>>

CAPE-OPEN P. Package 'Bender-Kiwi (corrected Mu)' error: <<The CAPE-OPEN Property Package 'Bender-Kiwi (corrected Mu)(from 'CalculatorPackageManager.ThrmStarDustPK')' raised an exception while calling CalcProp

Error in ICapeThermoPropertyPackage.CalcEquilibrium

CO Calculation Exception (Code: 0)

FlashTS : an error has occured during calculation.Contact this component's vendor. Detected while calculating {(surfaceTension), (VaporLiquid), Mixture}. Material Object contents: L, T(K), 358.759992, P(Pa), 1018747.946722, C, 0.7811, 9.3e-003, 0.2096>>

So everything is not fine for sure but use of Simulis Thermodynamics is attempted a large number of times (the model is very large in terms of blocks and streams) and just a few calls are not working properly.

Now, when enabling COLTT v1.08 on Simulis Thermodynamics Thermo System, I get, immediately upon loading the same Aspen Hysys case file, the following message box:


Hyprotech's CAPE-OPEN tool


ERROR: Internal error creating a CAPEOPEN property package


OK


I get a very short COLTT log file:

LOG FORMAT

  • Call on a given Object is indicated by 'Object<[Object Name]>: Call to [method name]'. *
  • Input arguments and returned values(if any) are then indicated. *
  • End of the call is indicated by 'Object<[Object Name]>: Return from [method name] - Error Status'. *


Log generated by C:
Program Files
AspenTech
Aspen HYSYS 2004
hysys.exe

Using configuration from C:
Program Files
CAPE-OPEN
COLTT
CAPE-OPENLogs.ini

ClassFactory : Loading Simulis CAPE-OPEN® Thermo System (1.0) / P.P.M. (1.1) implemented by

C:
PROGRA~1
Simulis
THRMST~3.DLL

ClassFactory : Created instance of Simulis CAPE-OPEN® Thermo System (1.0) / P.P.M. (1.1) successfully


You may see above that Simulis Thermodynamics can act both as a Thermo System and as a Property Package Manager. Would that be a problem for COLTT? COLTT has been enabled on Simulis Thermodynamics as a Thermo System, hence a 1.0 PMC.

I would like you to give a number to this issue for further referencing. I will keep aside the virtual machine in which this happens should you want to take a look. Beware however that this virtual machine has no development tool installed as of now.

Best regards

Michel
===========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Thursday, March 26, 2009 5:27 PM
À: 'Ahsan Akhtar'
Cc: 'michaeljhalloran@…'
Objet: Logging of Simulis Thermodynamics

Ahsan,

I am using COLTT v1.07 and I try to log Simulis Thermodynamics. This component acts both as a Thermo System 1.0 and a Property Package Manager 1.1. In COLTT controller I enable logging on Simulis Thermodynamics as a Thermo System 1.0 because it will be used as such by a PME.

However COLTT is considering subsequently Simulis Thermodynamics as a PPM and says almost immediately in the log that call to ICapeThermoSystem not supported in COLTT, meaning that the logger used is a PPM logger. Something seems wrong to me here. Even if the PMC supports both 1.0 and 1.1 interfaces, the decision taken by the COLTT user within the controller should be respected.

Has this been corrected in v1.08 with the refactoring?

Best regards

Michel

Attachments

hysys_110409_145059.log (108.3 KB) - added by michelpons 11 years ago.
Log file obtained with COLTT 1.08.3 Build Oct 27, 2009

Change History

comment:1 Changed 11 years ago by michelpons

  • Status changed from new to closed
  • Resolution set to fixed

I have rerun this case with COLTT 1.08.03 Build Oct 27, 2009 enabled on Simulis Thermodynamics Thermo System. Aspen Hysys considers it now as a Thermo System and acts accordingly as shown in the attached logged (hysys_110409_145059.log). Hence thsi defect is considered as resolved with 1.08.03. Remains the issue documented in ticket #27 but this is not related to refactoring it seems.

I am closing this defect.

Changed 11 years ago by michelpons

Log file obtained with COLTT 1.08.3 Build Oct 27, 2009

Note: See TracTickets for help on using tickets.